@import '../../Microsoft.FluentUI.AspNetCore.Components/css/reboot.css';

/* Jan 5, 2026 update. Fixed a bug where compile error overlay displays on loads */
#dotnet-compile-error:empty {
    visibility: hidden;
    display: none;
}

body {
  overflow: hidden;

  --body-font: "Segoe UI Variable", "Segoe UI", sans-serif;
  --header-height: 0px;
  /* default to 0 when header is not present */
  --footer-height: 0px;
  /* default to 0 when footer is not present */

  --base-color: #315f94;
  --deeper-accent: lch(from var(--base-color) calc(l - 10) c h);
  --login-background: #051c52;
  --login-background-gradient: linear-gradient(180deg, rgba(5, 28, 82, 1) 0%, rgba(6, 36, 91, 1) 9%, rgba(8, 51, 108, 1) 25%, rgba(11, 75, 135, 1) 51%, rgba(16, 97, 159, 1) 77%, rgba(19, 110, 173, 1) 93%, rgba(21, 116, 179, 1) 100%);
  --light-highlight-color: #deeaf3d1;

  --unselected-outline: var(--neutral-foreground-hover);
  --selected-outline: #3e3e3e;

  --slider-button-margin: 3px;
  --slider-button-hover-margin: 2px;
  --slider-tick-height: calc(var(--design-unit)* 2px);

  --disabled-opacity: 0.4;

  --focus-stroke-outer: var(--accent-fill-focus);

  --error: #c30c0c;
  --info: #005493;
  --warning: #C75300;
  --highlight-bg: #ffd449;

  --anchor: #006bbb;

  --neutral-layer-5: #c7d7e6;

  &[data-theme=dark] {
    --light-highlight-color: #45494d;
  }
}

*:focus-visible {
  outline-color: var(--focus-stroke-outer);
}

label.fluent-input-label {
  font-weight: 500 !important;
  margin-bottom: calc(var(--design-unit) * 1px);
}

a {
  text-decoration: none;
  color: var(--anchor);

  &:hover {
    text-decoration: underline;
    color: var(--accent-fill-hover);
  }
}

p:last-child {
  margin-bottom: 0;
}

split-panels {
  &[direction=row]::part(handle) {
    height: calc(var(--design-unit)* 8px);
  }

  &[direction=column]::part(handle) {
    width: calc(var(--design-unit)* 8px);
  }
}

fluent-text-field {
  &::part(root) {
    border-color: var(--unselected-outline);
  }

  &[disabled]::part(root) {
    background: padding-box linear-gradient(var(--neutral-stroke-hover), var(--neutral-stroke-hover)), border-box var(--neutral-stroke-rest);
  }

  &:not([disabled]):not([readonly]):focus-within::part(root) {
    border-color: var(--selected-outline);
  }

  &[readonly]:focus-within::after {
    display: none;
  }

  fluent-badge svg {
    fill: var(--error) !important;
  }

  .fluent-typography[slot] {
    color: var(--accent-foreground-rest);
    background-color: var(--neutral-layer-3);
    padding: 5px;

    &[slot=start] {
      margin-inline-start: -11px;
      padding-inline-start: 11px;
    }
    &[slot=end] {
      margin-inline-end: -11px;
      padding-inline-end: 11px;
    }
  }
  fluent-button[slot] {
    margin: -1px;
    width: calc((var(--base-height-multiplier) + var(--density)) * var(--design-unit) * 1px);

    &[slot=start] {
      margin-inline-start: -12px;
    }
    &[slot=end] {
      margin-inline-end: -12px;
    }
  }
}

.fluent-autocomplete-multiselect {
  position: relative;

  fluent-text-field {
    &:has([slot=start]) svg[slot=end] {
      fill: var(--error) !important;
      width: calc(var(--design-unit)* 4px) !important;
    }
  }

  fluent-anchored-region {
    width: 100% !important;

    &>div {
      margin-top: 0 !important;
    }
  }
}

fluent-text-area {
  &::part(control) {
    border-color: var(--unselected-outline);
  }

  &[disabled]::part(control) {
    background: padding-box linear-gradient(var(--neutral-stroke-hover), var(--neutral-stroke-hover)), border-box var(--neutral-stroke-rest);
  }

  &:not([disabled]):not([readonly]):focus-within::part(control) {
    border-color: var(--selected-outline);
  }

  &[readonly]:focus-within::after {
    display: none;
  }
}

fluent-number-field {
  &::part(root) {
    border-color: var(--unselected-outline);
  }

  &[disabled]::part(root) {
    background: padding-box linear-gradient(var(--neutral-stroke-hover), var(--neutral-stroke-hover)), border-box var(--neutral-stroke-rest);
  }

  &:not([disabled]):not([readonly]):focus-within::part(root) {
    border-color: var(--selected-outline);
  }

  &[readonly]:focus-within::after {
    display: none;
  }
}

fluent-select,
fluent-combobox {
  &::part(control) {
    border-color: var(--unselected-outline);
  }

  &:not([disabled]):not([readonly]):focus-within::part(control) {
    border-color: var(--selected-outline);
  }

  &[readonly]:focus-within::after {
    display: none;
  }
}

fluent-listbox {
  &:not([disabled]):focus-within {
    outline-color: var(--accent-fill-focus);
  }
}

fluent-slider {
  margin-bottom: 1.5em;

  &::part(track-container) {
    background-color: var(--neutral-fill-stealth-rest);
    border-color: var(--unselected-outline);
  }
}

fluent-accordion-item {
  border-color: var(--unselected-outline);

  &::part(icon) {
    background: none;
  }

  &::part(button) {
    font-weight: bold;
  }

  &[expanded]::part(heading) {
    background: var(--light-highlight-color);
    border-top-left-radius: calc(var(--layer-corner-radius)* 1px);
    border-top-right-radius: calc(var(--layer-corner-radius)* 1px);
  }
}

fluent-breadcrumb-item {
  font-size: inherit;
  line-height: inherit;

  &::part(control) {
    font-weight: bold;
    color: var(--anchor);
  }

  &::part(control):hover {
    color: var(--accent-fill-hover);
    text-decoration: underline;
  }

  &::part(separator) {
    margin: 0 calc(var(--design-unit)* 1px);
  }
}

fluent-button {
  --primary: var(--neutral-layer-3);
  --secondary: var(--neutral-stroke-strong-rest);
  --button-color: var(--primary);
  --stroke-color: var(--secondary);

  &::part(control) {
    background: var(--button-color);
    color: var(--stroke-color);
  }

  &:not([appearance=stealth]):not([appearance=lightweight]) {
    &::part(control) {
      font-weight: bold;
      border-color: var(--stroke-color);
    }

    &:not([appearance=outline]):not([disabled])::part(control):hover {
      opacity: 0.8;
    }
  }

  &:not([colored]) svg {
    fill: var(--stroke-color) !important;
  }

  &.stealth {
    --primary: var(--neutral-foreground-rest);
    --button-color: transparent;
    --stroke-color: var(--primary);
  }
  &.inverted.stealth {
    --primary: var(--neutral-fill-rest);
  }

  &.stealth:not([disabled])::part(control):hover {
    background: rgb(from var(--neutral-fill-strong-focus) r g b / 0.15);
  }
  &.stealth.inverted:not([disabled])::part(control):hover {
    background: rgb(from var(--neutral-fill-stealth-hover) r g b / 0.2);
  }

  &[appearance=outline] {
    --primary: var(--neutral-stroke-strong-rest);
    --secondary: var(--neutral-layer-3);
    --stroke-color: var(--primary);
    --button-color: var(--secondary);
  }

  &[appearance=outline]:not([disabled]):hover {
    --stroke-color: var(--secondary);
    --button-color: hsl(from var(--primary) h calc(s * 0.5) calc(l * 1.5));

    /* Color the outer element, as the inner button has a transparent !important that doesn't seem to be overrideable */
    background: var(--button-color);
  }

  &.accent {
    --primary: var(--accent-fill-rest);
    --secondary: var(--foreground-on-accent-rest);
  }

  &.link {
    --primary: var(--anchor);
    --secondary: var(--foreground-on-accent-rest);

    &:not([disabled])::part(control):hover {
      text-decoration: underline;
    }
  }

  &.info {
    --primary: var(--info);
    --secondary: var(--foreground-on-accent-rest);
  }

  &.success {
    --primary: var(--success);
    --secondary: var(--foreground-on-accent-rest);
  }

  &.warning {
    --primary: var(--warning);
    --secondary: var(--foreground-on-accent-rest);
  }

  &.error {
    --primary: var(--error);
    --secondary: var(--foreground-on-accent-rest);
  }
}

fluent-card {
  border: calc(var(--stroke-width) * 1px) solid var(--neutral-stroke-rest);
}

table.fluent-data-grid {
  thead {
    --fluent-data-grid-resize-handle-color: var(--neutral-fill-rest);
    --fluent-data-grid-header-opacity: 1;

    th {
      background-color: var(--accent-fill-rest) !important;
      color: var(--neutral-fill-rest);

      &.select-all svg {
        fill: currentColor !important;
      }

      .col-options-button,.col-sort-button {
        &::part(control) {
          --stroke-color: var(--neutral-fill-rest);
        }
        &::part(control):hover {
          background: rgb(from var(--neutral-fill-stealth-hover) r g b / 0.2);
        }
        &::part(control):focus-visible {
          outline-color: var(--neutral-fill-rest);
        }
        &.inverted::part(control) {
          --stroke-color: var(--accent-fill-rest);
          --button-color: var(--neutral-fill-rest);
        }

        .col-title-text {
          text-overflow: ellipsis;
          overflow: hidden;
          white-space: nowrap;
          font-weight: 600;
        }
      }
    }
  }

  tbody {
    .fluent-data-grid-row:nth-child(odd) {
      td {
        background-color: var(--light-highlight-color);
      }
    }

    .actions {
      height: 32px;
      overflow: hidden;
    }
  }
}

fluent-divider {
  border-color: var(--neutral-foreground-hover);
}

fluent-flipper {
  border-color: var(--accent-fill-rest);
}

.fluent-messagebar-notification {
  border-width: 1px;
  border-style: solid;
  border-radius: calc(var(--control-corner-radius) * 1px);

  .fluent-messagebar-notification-icon svg {
    width: 24px !important;
  }

  .fluent-messagebar-notification-message {
    font-size: 1.25em;
  }

  .fluent-messagebar-notification-content {
    grid-column: 2 / 4;
    padding: 0;
  }
}

.fluent-messagebar.intent-info,
.fluent-messagebar-notification.intent-info {
  background-color: #c8dff0 !important;
  border-color: #005493 !important;
}

.fluent-messagebar.intent-success,
.fluent-messagebar-notification.intent-success {
  background-color: #e5f3e5 !important;
  border-color: #54bf54 !important;
}

.fluent-messagebar.intent-warning,
.fluent-messagebar-notification.intent-warning {
  background-color: #f7eee9 !important;
  border-color: #db734a !important;
}

.fluent-messagebar.intent-error,
.fluent-messagebar-notification.intent-error {
  background-color: #f3e8e9 !important;
  border-color: #d52f32 !important;
}

fluent-badge {
  font-size: var(--type-ramp-base-font-size);

  &::part(control) {
    padding: calc(var(--design-unit) * 1px) calc((var(--design-unit) - var(--stroke-width)) * 2px);
    border-color: var(--neutral-stroke-strong-rest);
  }
  &.dismiss svg {
    fill: var(--error) !important;
  }
}

fluent-anchored-region {
  &>div {
    border: calc(var(--stroke-width)* 1px) solid var(--unselected-outline);
    border-radius: calc(var(--design-unit) *1px);
  }

  .fluent-popover-content [part=body] {
    display: flex;
    flex-direction: column;

    * {
      vertical-align: middle;
    }
  }
}

fluent-progress {
  &::part(progress) {
    background-color: var(--neutral-stroke-hover) !important;
  }
}

fluent-skeleton {
  --skeleton-fill-default: var(--light-highlight-color);
}

fluent-tabs {
  &::part(activeIndicator) {
    width: 100%;
  }

  &::part(tabpanel) {
    border: 1px solid var(--unselected-outline);
    padding: calc(var(--design-unit)* 1px);
    border-radius: calc(var(--design-unit)* 1px);
  }
}

fluent-tooltip {
  &::part(tooltip) {
    border-color: var(--unselected-outline);
  }

  &::part(tooltip)::after {
    border-top-color: var(--unselected-outline);
    border-left-color: var(--unselected-outline);
  }
}

.fluent-typography.disabled {
  color: var(--neutral-foreground-hover) !important;
}

.fluent-calendar .days {
  .day:not([selected]):not([multi-day])[today] {
    color: var(--accent-fill-rest);
    border: 1px solid var(--accent-fill-rest);
    border-radius: calc(var(--control-corner-radius) * 1px);
    background: var(--fill-color);
  }

  .day[multi-day][today] {
    border: 1px solid var(--accent-fill-rest);
    border-radius: calc(var(--control-corner-radius) * 1px);
  }

  .day:not([multi-day])[selected] {
    color: var(--foreground-on-accent-rest);
    background: var(--accent-fill-rest);
    border-radius: 50%;
    position: relative;

    &[today]::after {
      content: "";
      width: 100%;
      height: 100%;
      position: absolute;
      left: -1px;
      top: -1px;
      border: 1px solid var(--accent-fill-rest);
      border-radius: calc(var(--control-corner-radius) * 1px);
    }
  }
}

.fluent-calendar:not([readonly]) .days {
  .day:not([disabled]):not([inactive]):not([selected])[today]:hover {
    color: var(--neutral-foreground-rest);
    background: var(--neutral-fill-stealth-hover);
  }

  .day:not([disabled]):not([inactive])[selected]:hover {
    background: var(--accent-fill-rest);
  }
}

.fluent-messagebar-message .title {
  font-size: 14px;
}

fluent-dialog[modal] {
  &::part(control) {
    --dialog-padding: calc(var(--design-unit) * 3px);
  }

  #dialog_close {
    &::part(control):hover {
      --stroke-color: var(--error);
      background-color: rgb(from var(--fill-color) r g b / 0.4);
    }
  }

  &>:not(.fluent-dialog-header):not(.fluent-dialog-footer) {
    padding: calc(var(--design-unit) * 3px);
  }

  .fluent-dialog-header {
    padding-bottom: calc(var(--dialog-padding) * 2);
    column-gap: 0 !important;
    position: relative;

    &::before {
      content: '';
      position: absolute;
      width: calc(100% + var(--dialog-padding) * 2);
      height: 100%;
      bottom: var(--dialog-padding);
      left: calc(0px - var(--dialog-padding));
      background-color: var(--neutral-layer-3);
      border-start-start-radius: calc(var(--layer-corner-radius) * 1px);
      border-start-end-radius: calc(var(--layer-corner-radius) * 1px);
      z-index: -1;
    }

    &::after {
      content: '';
      width: calc(100% + var(--dialog-padding) * 2);
      border-bottom: 1px solid var(--unselected-outline);
      position: absolute;
      bottom: var(--dialog-padding);
      left: calc(0px - var(--dialog-padding));
    }
  }

  .fluent-dialog-footer {
    padding-top: calc(var(--dialog-padding) * 2) !important;
    position: relative;

    &::before {
      content: '';
      position: absolute;
      width: calc(100% + var(--dialog-padding) * 2);
      height: 100%;
      top: var(--dialog-padding);
      left: calc(0px - var(--dialog-padding));
      background-color: var(--neutral-layer-3);
      border-end-start-radius: calc(var(--layer-corner-radius) * 1px);
      border-end-end-radius: calc(var(--layer-corner-radius) * 1px);
    }

    &::after {
      content: '';
      width: calc(100% + var(--dialog-padding) * 2);
      border-top: 1px solid var(--unselected-outline);
      position: absolute;
      top: var(--dialog-padding);
      left: calc(0px - var(--dialog-padding));
    }
  }

  @media(max-width: 600px) {
    &:has(.mobile-full-width) {
      --dialog-width: 100vw !important;
    }
  }
}


fluent-switch {
  flex-wrap: wrap;
  row-gap: calc(var(--design-unit) * 1px);
}
fluent-switch::part(label) {
  flex-basis: 100%;
  font-weight: 500 !important;
}
div.paginator {
  gap: 20px;
}

.fluentui-counterbadge-container {
  max-height: max-content;
}

::-ms-browse {
  display: none;
}

.main {
  min-height: calc(100dvh - var(--header-height) - var(--footer-height));
  color: var(--neutral-foreground-rest);
  align-items: stretch;
}

.body-content {
  padding-left: 2px;
  align-self: stretch;
  align-items: flex-start;
  min-height: calc(100dvh - var(--header-height) - var(--footer-height));
  display: flex;
  overflow-y: auto;
}

.manage {
  width: 100dvw;
}

[flex] {
  display: flex;

  &[column-gap] {
    column-gap: attr(column-gap px);
  }
  &[row-gap] {
    row-gap: attr(row-gap px);
  }
  &[gap] {
    gap: attr(gap px);
  }

  &[column] {
    flex-direction: column;
  }

  &[grow] {
    flex-grow: 1;
  }

  &[wrap] {
    flex-wrap: wrap;
  }
  &[center] {
    justify-content: center;
  }
}
[grid] {
  display: grid;
  width: 100%;
  
  &[column-gap] {
    column-gap: attr(column-gap px);
  }
  &[row-gap] {
    row-gap: attr(row-gap px);
  }
  &[gap] {
    gap: attr(gap px);
  }
  &[columns] {
    --columns: attr(columns type(<number>));
    grid-template-columns: repeat(var(--columns), 1fr);
  }
}

[role=heading],.fluent-typography {
  color: var(--neutral-foreground-rest);
  font-weight: 500;

  &.header {
    font-size: var(--type-ramp-plus-2-font-size);
    line-height: var(--type-ramp-plus-2-line-height);
    font-weight: 400;
  }
  &.h1 {
    font-size: var(--type-ramp-plus-5-font-size);
    line-height: var(--type-ramp-plus-5-line-height);
  }
  &.h2 {
    font-size: var(--type-ramp-plus-4-font-size);
    line-height: var(--type-ramp-plus-4-line-height);
  }
  &.h3 {
    font-size: var(--type-ramp-plus-3-font-size);
    line-height: var(--type-ramp-plus-3-line-height);
  }
  &.h4 {
    font-size: var(--type-ramp-plus-2-font-size);
    line-height: var(--type-ramp-plus-2-line-height);
  }
  &.h5 {
    font-size: var(--type-ramp-plus-1-font-size);
    line-height: var(--type-ramp-plus-1-line-height);
  }
  &.h6 {
    font-size: var(--type-ramp-base-font-size);
    line-height: var(--type-ramp-base-line-height);
  }
}

.table-wrapper {
  overflow-x: auto;
  overflow-y: visible;

  &.full-width {
    width: 100%;
  }
}

.alert {
  border: 1px dashed var(--accent-fill-rest);
  padding: 5px;
}

.editor-layout,.manager-layout {
  flex: 1;
  width: 100%;

  header.layout-header {
    display: flex;
    height: var(--header-height);
    background-color: var(--neutral-layer-5);
    padding: 1em 4em;
  }
}
.page {
  position: relative;
  padding: calc(var(--design-unit) *2px);
  height: calc(100dvh - var(--header-height)*2 - var(--footer-height));
  overflow-y: auto;
  overflow-x: hidden;
}
.editor-layout .page {
  --workflow-height: 45px;
  height: calc(100dvh - var(--header-height)*2 - var(--footer-height) - var(--workflow-height));
}
@media (min-width: 768px) {
  .editor-layout,.manager-layout {
    margin: -2em -4em;
    width: calc(100% + 8em);
  }
  .page {
    padding: 2em;
  }
}
@media (min-width: 1024px) {
  .page {
    padding: 2em 4em;
  }
}

#dotnet-compile-error:empty {
  display: none;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
  margin: 20px 0;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

.blazor-error-boundary {
  background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
  padding: 1rem 1rem 1rem 3.7rem;
  color: white;
}

.blazor-error-boundary::before {
  content: "An error has occurred. "
}

.validation-errors,li.error {
  color: var(--error);
}

#loading {
  position: fixed;
  display: flex;
  flex-direction: column;
  width: 100dvw;
  height: 100dvh;
  top: 0;
  background-color: rgba(255, 255, 255, 0.9);
  z-index: 10;

  .loading-progress {
    position: relative;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
  }

  .loading-progress circle {
    fill: none;
    stroke: #e0e0e0;
    stroke-width: 0.6rem;
    transform-origin: 50% 50%;
    transform: rotate(-90deg);
  }

  .loading-progress circle:last-child {
    stroke: var(--base-color);
    stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
    transition: stroke-dasharray 0.05s ease-in-out;
  }

  .loading-progress-text {
    position: relative;
    text-align: center;
    font-weight: bold;
    inset: -5.5rem 0 auto 0.2rem;
  }

  .loading-progress-text:after {
    content: var(--blazor-load-percentage-text, "Loading");
  }
}

code {
  color: #c02d76;
}

.navmenu {
  background: var(--neutral-layer-5);

  .navmenu-icon {
    display: none;
  }

  nav.sitenav {
    height: calc(100dvh - var(--header-height) - var(--footer-height));
    overflow: hidden auto;
  }
}

@media (max-width: 600px) {
  .header-gutters {
    margin: 0.5rem 3rem 0.5rem 1.5rem;
  }

  [dir="rtl"] .header-gutters {
    margin: 0.5rem 1.5rem 0.5rem 3rem;
  }

  .main {
    flex-direction: column;
    row-gap: 0;
  }

  #main-menu {
    width: 100%;
  }

  #main-menu>div:first-child:is(.expander) {
    display: none;
  }

  #navmenu-toggle {
    appearance: none;
  }

  #navmenu-toggle~nav {
    display: none;
  }

  #navmenu-toggle:checked~nav {
    display: block;
  }

  .navmenu-icon {
    cursor: pointer;
    z-index: 10;
    display: block;
    position: absolute;
    top: 15px;
    left: unset;
    right: 20px;
    width: 20px;
    height: 20px;
    border: none;
  }

  [dir="rtl"] .navmenu-icon {
    left: 20px;
    right: unset;
  }
}